Call center
Call center agents, campaigns, call/IVR flows, phone numbers, calls and queues.
7 endpoints · base /api/v1/call
List call center agents.
MCP tool:
call_list_agentsScope: call.agents.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
pageNumber | int | query | no | Page (starts at 1) |
pageSize | int | query | no | Rows per page (default 20 for CRM and Sales orders/customers; 50 for Sales products) |
status | string | query | no | — |
search | string | query | no | — |
Example
curl https://api.nextx.vn/api/v1/call/agents?pageNumber=1&pageSize=1&status=...&search=... \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"userId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"displayName": "string",
"avatar": "string",
"extension": "string",
"sipUsername": "string",
"status": "string",
"deviceType": "string",
"skillGroup": "string",
"level": 0,
"isActive": false,
"queueIds": [
"0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b"
],
"queueNames": [
"string"
],
"createdAt": "2026-10-27T09:00:00+07:00",
"outboundPhoneNumberId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"outboundPhoneNumberDidNumber": "string",
"agentCode": "string"
}
],
"pageNumber": 0,
"pageSize": 0,
"totalCount": 0,
"totalPages": 0
}List call campaigns.
MCP tool:
call_list_campaignsScope: call.campaigns.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
pageNumber | int | query | no | Page (starts at 1) |
pageSize | int | query | no | Rows per page (default 20 for CRM and Sales orders/customers; 50 for Sales products) |
status | string | query | no | — |
search | string | query | no | — |
Example
curl https://api.nextx.vn/api/v1/call/campaigns?pageNumber=1&pageSize=1&status=...&search=... \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"name": "string",
"type": "string",
"dialerMode": "string",
"status": "string",
"callerId": "string",
"concurrentCalls": 0,
"totalContacts": 0,
"calledContacts": 0,
"completedContacts": 0,
"pendingContacts": 0,
"progressPercent": 0,
"startDate": "2026-10-27",
"endDate": "2026-10-27",
"createdAt": "2026-10-27T09:00:00+07:00"
}
],
"pageNumber": 0,
"pageSize": 0,
"totalPages": 0,
"totalCount": 0
}List call flows.
MCP tool:
call_list_call_flowsScope: call.call_flows.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
pageNumber | int | query | no | Page (starts at 1) |
pageSize | int | query | no | Rows per page (default 20 for CRM and Sales orders/customers; 50 for Sales products) |
status | string | query | no | — |
search | string | query | no | — |
Example
curl https://api.nextx.vn/api/v1/call/call-flows?pageNumber=1&pageSize=1&status=...&search=... \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"name": "string",
"status": "string",
"triggerType": "string",
"version": 0,
"publishedAt": "2026-10-27T09:00:00+07:00",
"updatedAt": "2026-10-27T09:00:00+07:00"
}
],
"pageNumber": 0,
"pageSize": 0,
"totalCount": 0,
"totalPages": 0
}List IVR flows.
MCP tool:
call_list_ivr_flowsScope: call.ivr_flows.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
pageNumber | int | query | no | Page (starts at 1) |
pageSize | int | query | no | Rows per page (default 20 for CRM and Sales orders/customers; 50 for Sales products) |
status | string | query | no | — |
search | string | query | no | — |
Example
curl https://api.nextx.vn/api/v1/call/ivr-flows?pageNumber=1&pageSize=1&status=...&search=... \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"name": "string",
"status": "string",
"version": 0,
"nodeCount": 0,
"isLinkedToDid": false,
"publishedAt": "2026-10-27T09:00:00+07:00",
"updatedAt": "2026-10-27T09:00:00+07:00"
}
],
"pageNumber": 0,
"pageSize": 0,
"totalCount": 0,
"totalPages": 0
}List hotline numbers.
MCP tool:
call_list_phone_numbersScope: call.phone_numbers.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
pageNumber | int | query | no | Page (starts at 1) |
pageSize | int | query | no | Rows per page (default 20 for CRM and Sales orders/customers; 50 for Sales products) |
isActive | bool | query | no | — |
search | string | query | no | — |
Example
curl https://api.nextx.vn/api/v1/call/phone-numbers?pageNumber=1&pageSize=1&isActive=false&search=... \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"inboundSipTrunkId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"outboundSipTrunkId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"didNumber": "string",
"direction": "string",
"routingTargetType": "string",
"routingTargetId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"routingTargetName": "string",
"isActive": false,
"inboundSipTrunkName": "string",
"outboundSipTrunkName": "string",
"createdAt": "2026-10-27T09:00:00+07:00",
"isDefaultOutboundCid": false
}
],
"pageNumber": 0,
"pageSize": 0,
"totalCount": 0,
"totalPages": 0
}List call history. Note: call.calls.view is a sensitive permission, so OAuth apps cannot request it.
MCP tool:
call_list_callsScope: call.calls.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
pageNumber | int | query | no | Page (starts at 1) |
pageSize | int | query | no | Rows per page (default 20 for CRM and Sales orders/customers; 50 for Sales products) |
direction | string | query | no | — |
status | string | query | no | — |
agentId | GUID | query | no | — |
Example
curl https://api.nextx.vn/api/v1/call/calls?pageNumber=1&pageSize=1&direction=...&status=...&agentId=%3CagentId%3E \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"callUuid": "string",
"direction": "string",
"callerNumber": "string",
"calleeNumber": "string",
"agentId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"agentName": "string",
"queueId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"queueName": "string",
"status": "string",
"startedAt": "2026-10-27T09:00:00+07:00",
"answeredAt": "2026-10-27T09:00:00+07:00",
"endedAt": "2026-10-27T09:00:00+07:00",
"waitDurationSec": 0,
"talkDurationSec": 0,
"hasRecording": false,
"tags": [
"string"
],
"csatScore": 0,
"ticketId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"orderId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"createdAt": "2026-10-27T09:00:00+07:00",
"crmContactId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"crmContactName": "string",
"crmContactTier": "string",
"openTicketCount": 0,
"agentAvatar": "string",
"notes": "string",
"isInternal": false,
"disposition": "string",
"failureReason": {
"reasonKey": null,
"culprit": null,
"actionKey": null,
"sipCode": null,
"sipReason": null,
"hangupCause": null
}
}
],
"pageNumber": 0,
"pageSize": 0,
"totalPages": 0,
"totalCount": 0
}List call queues.
MCP tool:
call_list_queuesScope: call.queues.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
pageNumber | int | query | no | Page (starts at 1) |
pageSize | int | query | no | Rows per page (default 20 for CRM and Sales orders/customers; 50 for Sales products) |
isActive | bool | query | no | — |
search | string | query | no | — |
Example
curl https://api.nextx.vn/api/v1/call/queues?pageNumber=1&pageSize=1&isActive=false&search=... \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"name": "string",
"type": "string",
"strategy": "string",
"maxWaitSec": 0,
"ringTimeoutSec": 0,
"overflowAction": "string",
"serviceLevelThresholdSec": 0,
"serviceLevelTarget": 0,
"isActive": false,
"agentCount": 0,
"activeCallers": 0,
"inUse": false,
"createdAt": "2026-10-27T09:00:00+07:00"
}
],
"pageNumber": 0,
"pageSize": 0,
"totalCount": 0,
"totalPages": 0
}